Loading...
Searching...
No Matches
LibThread::Region Class Reference

## Public Member Functions

| Region ()
virtual | ~Region ()
Lock * | get_lock ()
void | lock ()
void | unlock ()
int | is_locked ()
Public Member Functions inherited from LibThread::SharedObject
| SharedObject ()
virtual | ~SharedObject ()
void | set_type (int type_init)
int | get_type ()
void | set_name (std::string &name_init)
void | set_name (const char *s)
std::string & | get_name ()
void | incref (int by=1)
long | decref ()
long | getref ()
virtual BOOLEAN | op2 (int op, leftv res, leftv a1, leftv a2)
virtual BOOLEAN | op3 (int op, leftv res, leftv a1, leftv a2, leftv a3)

## Data Fields

SharedObjectTable | objects

## Private Attributes

Lock | region_lock

## Detailed Description

Definition at line 200 of file shared.cc.

## Constructor & Destructor Documentation

## Region()

LibThread::Region::Region | ( |  | ) |

inline

Definition at line 205 of file shared.cc.

: SharedObject(), region_lock(), objects() { }
LibThread::Region::region_lock
Lock region_lock
Definition shared.cc:202
LibThread::Region::objects
SharedObjectTable objects
Definition shared.cc:204
LibThread::SharedObject::SharedObject
SharedObject()
Definition shared.cc:156

## ~Region()

virtual LibThread::Region::~Region | ( |  | ) |

inline virtual

Definition at line 206 of file shared.cc.

{ }

## Member Function Documentation

## get_lock()

Lock * LibThread::Region::get_lock | ( |  | ) |

inline

Definition at line 207 of file shared.cc.

{ return &region_lock; }

## is_locked()

int LibThread::Region::is_locked | ( |  | ) |

inline

Definition at line 216 of file shared.cc.

{
return region_lock.is_locked();
}

## lock()

void LibThread::Region::lock | ( |  | ) |

inline

Definition at line 208 of file shared.cc.

{
if (!region_lock.is_locked())
region_lock.lock();
}

## unlock()

void LibThread::Region::unlock | ( |  | ) |

inline

Definition at line 212 of file shared.cc.

{
if (region_lock.is_locked())
region_lock.unlock();
}

## Field Documentation

## objects

SharedObjectTable LibThread::Region::objects

Definition at line 204 of file shared.cc.

## region_lock

Lock LibThread::Region::region_lock

private

Definition at line 202 of file shared.cc.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc